Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.business.mycarenetcommons.domain
Class SignedResponseHolder

    java.lang.Object
      be.ehealth.business.mycarenetcommons.domain.SignedResponseHolder

    public class SignedResponseHolder

extends Object

holds the the WS response data. It wraps and expose through getter metods:

- the xadesT
- the business response as a byte array
- the signature verification results (a `SignatureVerificationResult`

Constructor Summary
`SignedResponseHolder(byte[] xadesT, byte[] businessResponse, SignatureVerificationResult signatureVerificationResult)`
`SignedResponseHolder(byte[] businessResponse, SignatureVerificationResult signatureVerificationResult)`

Method Summary
`byte[]` | `getBusinessResponse()`
`SignatureVerificationResult` | `getSignatureVerificationResult()`
`byte[]` | `getXadesT()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignedResponseHolder

    public SignedResponseHolder(byte[] businessResponse,
                                SignatureVerificationResult signatureVerificationResult)

### SignedResponseHolder

    public SignedResponseHolder(byte[] xadesT,
                                byte[] businessResponse,
                                SignatureVerificationResult signatureVerificationResult)

Method Detail

### getXadesT

    public byte[] getXadesT()

### getBusinessResponse

    public byte[] getBusinessResponse()

### getSignatureVerificationResult

    public SignatureVerificationResult getSignatureVerificationResult()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging OTMOBILITYIMPROVEMENT 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.